Loading...
Searching...
No Matches
IRMutator.h File Reference

Defines a base class for passes over the IR that modify it. More...

`#include <map>`
`#include "IR.h"`

Go to the source code of this file.

## Classes

class | Halide::Internal::IRMutator
| A base class for passes over the IR which modify it (e.g. More...
class | Halide::Internal::IRGraphMutator
| A mutator that caches and reapplies previously-done mutations, so that it can handle graphs of IR that have not had CSE done to them. More...

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

template<typename Mutator, typename... Args>
std::pair< Region, bool > | Halide::Internal::mutate_region (Mutator *mutator, const Region &bounds, Args &&...args)
| A helper function for mutator-like things to mutate regions.

## Detailed Description

Defines a base class for passes over the IR that modify it.

Definition in file IRMutator.h.